ZKSCL(3)

SYNOPSIS
SUBROUTINE ZKSCL (ZRR, ZRI, FNU, N, YR, YI, NZ, RZR, RZI, ASCLE, + TOL, ELIM)

NAME
zkscl - Subsidiary to ZBESK

LIBRARY
SLATEC

TYPE
ALL (CKSCL-A, ZKSCL-A)

AUTHOR
Amos, D. E., (SNL)

DESCRIPTION
SET K FUNCTIONS TO ZERO ON UNDERFLOW, CONTINUE RECURRENCE ON SCALED FUNCTIONS UNTIL TWO MEMBERS COME ON SCALE, THEN RETURN WITH MIN(NZ+2,N) VALUES SCALED BY 1/TOL.

SEE ALSO
ZBESK

ROUTINES CALLED
ZABS, ZLOG, ZUCHK

REVISION HISTORY (YYMMDD)
830501 DATE WRITTEN
910415 Prologue converted to Version 4.0 format. (BAB)
930122 Added ZLOG to EXTERNAL statement. (RWC)